Data Fields
dfu_func_t Struct Reference
SYSTEM » Device Firmware Update » Structures

DFU used functions config definition. More...

`#include <gr55xx_dfu.h>`

## Data Fields
void(* | dfu_ble_send_data )(uint8_t *p_data, uint16_t length)
void(* | dfu_uart_send_data )(uint8_t *p_data, uint16_t length)
uint32_t(* | dfu_flash_read )(const uint32_t addr, uint8_t *p_buf, const uint32_t size)
uint32_t(* | dfu_flash_write )(const uint32_t addr, const uint8_t *p_buf, const uint32_t size)
bool(* | dfu_flash_erase )(const uint32_t addr, const uint32_t size)
bool(* | dfu_flash_erase_chip )(void)
void(* | dfu_flash_set_security )(bool enable)
bool(* | dfu_flash_get_security )(void)
void(* | dfu_flash_get_info )(uint32_t *id, uint32_t *size)

## Detailed Description

DFU used functions config definition.

## Field Documentation

## ◆ dfu_ble_send_data

void(* dfu_func_t::dfu_ble_send_data) (uint8_t *p_data, uint16_t length)

The function is used to send data to master by BLE.

## ◆ dfu_flash_erase

bool(* dfu_func_t::dfu_flash_erase) (const uint32_t addr, const uint32_t size)

The function is used to erase flash by address.

## ◆ dfu_flash_erase_chip

bool(* dfu_func_t::dfu_flash_erase_chip) (void)

The function is used to erase flash chip.

## ◆ dfu_flash_get_info

void(* dfu_func_t::dfu_flash_get_info) (uint32_t *id, uint32_t *size)

The function is used to get the flash id and size.

## ◆ dfu_flash_get_security

bool(* dfu_func_t::dfu_flash_get_security) (void)

The function is used to get the flash security mode (Enable or Disable).

## ◆ dfu_flash_read

uint32_t(* dfu_func_t::dfu_flash_read) (const uint32_t addr, uint8_t *p_buf, const uint32_t size)

The function is used to read data from flash.

## ◆ dfu_flash_set_security

void(* dfu_func_t::dfu_flash_set_security) (bool enable)

The function is used to set the flash security mode as Enable or Disable.

## ◆ dfu_flash_write

uint32_t(* dfu_func_t::dfu_flash_write) (const uint32_t addr, const uint8_t *p_buf, const uint32_t size)

The function is used to write data to flash.

## ◆ dfu_uart_send_data

void(* dfu_func_t::dfu_uart_send_data) (uint8_t *p_data, uint16_t length)

The function is used to send data to master by UART.

The documentation for this struct was generated from the following file:

- gr55xx_dfu.h